GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::operation::predicate::RectangleIntersects Class Reference

Optimized implementation of the "intersects" spatial predicate for cases where one Geometry is a rectangle. More...

`#include <RectangleIntersects.h>`

## Public Member Functions
| RectangleIntersects (const geom::Polygon &newRect)
| Create a new intersects computer for a rectangle.
bool | intersects (const geom::Geometry &geom)

## Static Public Member Functions
static bool | intersects (const geom::Polygon &rectangle, const geom::Geometry &b)
| Tests whether a rectangle intersects a given geometry.

## Detailed Description

Optimized implementation of the "intersects" spatial predicate for cases where one Geometry is a rectangle.

This class works for all input geometries, including GeometryCollections.

As a further optimization, this class can be used to test many geometries against a single rectangle in a slightly more efficient way.

## Constructor & Destructor Documentation

geos::operation::predicate::RectangleIntersects::RectangleIntersects | ( | const geom::Polygon & | newRect | ) |
| inline

Create a new intersects computer for a rectangle.

Parameters

  newRect | a rectangular geometry

## Member Function Documentation

static bool geos::operation::predicate::RectangleIntersects::intersects | ( | const geom::Polygon & | rectangle,
|  | const geom::Geometry & | b
| ) |  |
| inline static

Tests whether a rectangle intersects a given geometry.

Parameters

  rectangle | a rectangular Polygon
  b | a Geometry of any type

Returns
  true if the geometries intersect

The documentation for this class was generated from the following file:

- RectangleIntersects.h